[问题]求助:wine下安装.net framework 2.0

Wine、Cedega、CrossOver 等配置
lchaoly
帖子: 7
注册时间: 2007-08-12 15:28
送出感谢: 0
接收感谢: 0

[问题]求助:wine下安装.net framework 2.0

#1

帖子 lchaoly » 2007-11-02 22:07

如题,因为在windows下用mindmanager制作了很多文件,现在基本上使用linux,但是mindjet没有linux版,尝试在wine下安装,但是mindjet需要.net framework 2.0支持,下了一个dotnetfx2.0进行安装,提示需要IE5.5和IE5.01,于是用ie4linux安装IE6,5.5,5.01,长时间等待之后倒是IE6,5.5以及IE5有了,再来装.net framework 2.0仍然提示需要IE5.01,这下没辙了,请教高手帮忙解决一下这个难题,该如何才能把这个.net framework 2.0在wine上安装呢,折腾了一天了。新手报到,在此谢过坛子里的兄弟,在这里学到了很多东西!
头像
windowssux
帖子: 618
注册时间: 2006-08-06 16:58
来自: 北海
送出感谢: 0
接收感谢: 1 次

#2

帖子 windowssux » 2007-11-02 22:23

.NET Framework目前看来还不能被很好地支持。
连crossover都模拟不出来,wine的appdb里面也没有人成功过。
caryl
帖子: 48
注册时间: 2006-09-29 9:16
送出感谢: 0
接收感谢: 0

#3

帖子 caryl » 2007-11-02 22:57

这种情况还是用windows或虚拟机比较好
lchaoly
帖子: 7
注册时间: 2007-08-12 15:28
送出感谢: 0
接收感谢: 0

#4

帖子 lchaoly » 2007-11-03 17:34

谢谢楼上两位兄弟。
试试虚拟机看看,只是占用空间要大的多。我可怜的本本没多少空间了。
头像
yang
帖子: 190
注册时间: 2007-10-18 19:57
送出感谢: 0
接收感谢: 0

#5

帖子 yang » 2007-11-03 19:56

Linux不是万能的。
该到M$下去做的事还是到 M$下去做。
ACER TM3220 | XP Pro & Ubuntu Hardy --------
Intel M 740 1.73 Ghz | 14.1" WXGA TFT LCD 1280x800
ATI Mobility Radeon X700 PCI EX/64MB VRAM
80 GB HDD & 802.11 b/g wireless LAN
头像
jobinson99
帖子: 1169
注册时间: 2007-04-28 15:14
系统: NixOS+虚拟机各种系统
送出感谢: 0
接收感谢: 5 次
联系:

#6

帖子 jobinson99 » 2008-04-24 17:24

嗨,虚拟机!那是要在win下虚拟linux还是linux 虚拟win呢,艰难抉择中
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

#7

帖子 luojie-dune » 2008-04-24 19:41

ls的问题答案很简单,双系统再套~~~
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#8

帖子 huangjiahua » 2008-04-26 13:03

wine 0.9.60 才开始支持 .Net 的,

你可以安装 wine 0.9.60 再安装 mono 的 windows 版本,
就有 .Net 2.0 环境了。
跃过无数的时间断层,只为了在
头像
jobinson99
帖子: 1169
注册时间: 2007-04-28 15:14
系统: NixOS+虚拟机各种系统
送出感谢: 0
接收感谢: 5 次
联系:

#9

帖子 jobinson99 » 2008-06-19 17:04

现在wine已经可以安装.net framework 2了,可是安装mindmanager 7,还是有问题,不知道是那个文件出错了,mindmanager的官方却没各种支持
头像
kofshower
帖子: 1343
注册时间: 2007-03-13 11:23
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 kofshower » 2008-06-19 20:03

我记得我有一个脚本 好像叫winetrick可以干这种事情。
注用户册
帖子: 1
注册时间: 2008-10-28 9:27
送出感谢: 0
接收感谢: 0

Re: [问题]求助:wine下安装.net framework 2.0

#11

帖子 注用户册 » 2008-11-05 10:47

请问怎么设置才能安装啊,我安装的时候还是报错的啊
1.1是可以安装的
但是.net 1.1 sp1就不可以安装了
我的wine是1.1.7的
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]求助:wine下安装.net framework 2.0

#12

帖子 想入非非 » 2008-11-05 12:48

wine是不可能成功安装.net的 :em04
Ubuntu User
linxyz
帖子: 306
注册时间: 2008-05-12 16:04
来自: http://MyBitcoinJob.com/?id=loongson
送出感谢: 0
接收感谢: 3 次
联系:

Re: [问题]求助:wine下安装.net framework 2.0

#13

帖子 linxyz » 2008-11-05 21:25

wget http://kegel.com/wine/winetricks
sh winetricks dotnet20
即可安装完成dotnet2.0
头像
freu
帖子: 28
注册时间: 2008-10-21 9:19
送出感谢: 0
接收感谢: 0

Re: [问题]求助:wine下安装.net framework 2.0

#14

帖子 freu » 2008-11-06 20:31

8.10下可以吗?有没有人试过?我这次就不当白耗子了。
好不好?
我闷,但是不骚……
kevinwenyu
帖子: 29
注册时间: 2009-10-03 17:40
送出感谢: 0
接收感谢: 0

Re: [问题]求助:wine下安装.net framework 2.0

#15

帖子 kevinwenyu » 2010-01-03 23:00

:em11
温得死太贵,麦克价更高,有了乌班图,两者皆可抛
Kevin.KK
回复

回到 “Wine及其分支”